<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Culqui test</title>
</head>
<body>
    <button id="buyButton">Boton de test de pago</button>
</body>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://checkout.culqi.com/js/v3"></script>
    <script>
        Culqi.publicKey = 'pk_test_7Hhv4zzIjKlsJ6ln';

        Culqi.settings({
            title: 'Culqi Store',
            currency: 'PEN',
            description: 'Polo/remera Culqi lover',
            amount: 3500
        });

        $('#buyButton').on('click', function(e) {
            // Abre el formulario con las opciones de Culqi.settings
            Culqi.open();
            e.preventDefault();
        });

        function culqi() {

            if(Culqi.token) { // ¡Token creado exitosamente!
                // Get the token ID:
                var token = Culqi.token.id;

                $.ajax({
                    type: "POST",
                    url: "http://localhost:8000/pay",
                    // The key needs to match your method's input parameter (case-sensitive).
                    data: JSON.stringify({ amount: 3500, token: token }),
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function(data){ alert( "La carga se realizo: " + data );},
                    failure: function(errMsg) {
                        alert(errMsg);
                    }
                });

            }else{
                console.log(Culqi.error);
                alert(Culqi.error.user_message);
            }
        };

    </script>
</html>